Bug 1250160 - openstack-neutron depends on python-oslo-i18n
openstack-neutron depends on python-oslo-i18n
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity unspecified
: async
: 7.0 (Kilo)
Assigned To: Alan Pevec
Ofer Blaut
: Triaged, ZStream
Depends On:
Blocks: track-osp6-osp7
  Show dependency treegraph
 
Reported: 2015-08-04 11:47 EDT by Lars Kellogg-Stedman
Modified: 2016-04-26 20:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-neutron-2015.1.1-2.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 10:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2015-08-04 11:47:02 EDT
Description of problem:

The openstack-neutron package requires python-oslo-i18n, but this fact is not reflected in the package dependencies.  Installing openstack-neutron from OSP 7 and trying to run `neutron-db-manage` yields:

Traceback (most recent call last):
  File "/bin/neutron-db-manage", line 6, in <module>
    from neutron.db.migration.cli import main
  File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 26, in <module>
    from neutron.common import repos
  File "/usr/lib/python2.7/site-packages/neutron/common/repos.py", line 21, in <module>
    from oslo_log import log as logging
  File "/usr/lib/python2.7/site-packages/oslo_log/log.py", line 45, in <module>
    from oslo_log._i18n import _
  File "/usr/lib/python2.7/site-packages/oslo_log/_i18n.py", line 21, in <module>
    import oslo_i18n
ImportError: No module named oslo_i18n

Version-Release number of selected component (if applicable):

openstack-neutron-2015.1.0-12.el7ost.noarch
Comment 4 Lars Kellogg-Stedman 2015-09-28 11:43:26 EDT
This appears to be have been fixed by apevec in commit 03f835f1.
Comment 5 Lon Hohberger 2015-10-16 10:31:44 EDT
openstack-neutron-2015.1.1-7.el7ost is presently in RHEL OSP 7.0, so this is resolved.

Note You need to log in before you can comment on or make changes to this bug.